## hmisc 5.0-1

=== debian/changelog ===
hmisc (5.0-1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 08 Mar 2023 08:51:39 -0600

hmisc (5.0-0-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 06 Mar 2023 18:18:21 -0600

## hmisc 5.1

=== DESCRIPTION ===
Package: Hmisc
Version: 5.1-1
Date: 2023-09-11
Title: Harrell Miscellaneous
Authors@R: 
    c(person(given = "Frank E",
           family = "Harrell Jr",
           role = c("aut", "cre"),
           email = "fh@fharrell.com",
           comment = c(ORCID = "0000-0002-8271-5493")),
			person(given = "Charles",
			       family = "Dupont",
						 role = "ctb",
						 email = "charles.dupont@vumc.org",
						 comment = "contributed several functions and maintains latex functions"))
Maintainer: Frank E Harrell Jr <fh@fharrell.com>
Imports: methods, ggplot2, cluster, rpart, nnet, foreign, gtable, grid,
        gridExtra, data.table, htmlTable (>= 1.11.0), viridis,
        htmltools, base64enc, colorspace, rmarkdown, knitr, Formula
Suggests: survival, qreport, acepack, chron, rms, mice, rstudioapi,
        tables, plotly (>= 4.5.6), rlang, plyr, VGAM, leaps, pcaPP,
        digest, parallel, polspline, abind, kableExtra, rio, lattice,
        latticeExtra, gt, sparkline, jsonlite, htmlwidgets, qs,
        getPass, keyring, safer
Description: Contains many functions useful for data
	analysis, high-level graphics, utility operations, functions for
	computing sample size and power, simulation, importing and annotating datasets,
	imputing missing values, advanced table making, variable clustering,
	character string manipulation, conversion of R objects to LaTeX and html code,
	recoding variables, caching, simplified parallel computing, encrypting and decrypting data using a safe workflow, general moving window statistical estimation, and assistance in interpreting principal component analysis.
License: GPL (>= 2)
LazyLoad: Yes
URL: https://hbiostat.org/R/Hmisc/
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: yes
Packaged: 2023-09-11 23:35:26 UTC; harrelfe
Author: Frank E Harrell Jr [aut, cre] (<https://orcid.org/0000-0002-8271-5493>),
  Charles Dupont [ctb] (contributed several functions and maintains latex
    functions)
Repository: CRAN
Date/Publication: 2023-09-12 12:52:37 UTC

## hmisc 5.1-0

=== debian/changelog ===
hmisc (5.1-0-2) unstable; urgency=medium

  * Rebuilding for unstable following bookworm release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 20 Jun 2023 06:30:52 -0500

hmisc (5.1-0-1) experimental; urgency=medium

  * New upstream release (into 'experimental' while Debian is frozen)

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 08 May 2023 17:57:22 -0500

=== debian/control ===
Source: hmisc
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.3.1), dh-r, r-cran-chron, r-cran-lattice, r-cran-cluster, r-cran-survival, r-cran-rpart, r-cran-formula, r-cran-latticeextra, r-cran-nnet, r-cran-foreign, r-cran-acepack, r-cran-ggplot2 (>= 2.0.0), r-cran-gridextra, r-cran-data.table, r-cran-htmltools, r-cran-gtable, r-cran-viridis, r-cran-htmltable, r-cran-base64enc
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/edd/r-cran-hmisc
Vcs-Git: https://salsa.debian.org/edd/r-cran-hmisc.git
Homepage: https://cran.r-project.org/package=Hmisc

Package: r-cran-hmisc
Architecture: any
Replaces: r-noncran-hmisc
Conflicts: r-noncran-hmisc
Provides: r-noncran-hmisc
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-chron, r-cran-lattice, r-cran-cluster, r-cran-survival, r-cran-formula, r-cran-rpart, r-cran-latticeextra, r-cran-nnet, r-cran-foreign, r-cran-acepack, r-cran-ggplot2, r-cran-gridextra, r-cran-data.table, r-cran-htmltools, r-cran-gtable, r-cran-viridis, r-cran-htmltable, r-cran-base64enc
Description: GNU R miscellaneous functions by Frank Harrell 
 The Hmisc library contains many functions useful for data
 analysis, high-level graphics, utility operations, functions for
 computing sample size and power, translating SAS datasets,
 imputing missing values, advanced table making, variable clustering,
 character string manipulation, conversion of S objects to LaTeX code,
 recoding variables, and bootstrap repeated measures analysis.

## hmisc 5.1-1

=== debian/changelog ===
hmisc (5.1-1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 12 Sep 2023 22:15:29 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.3.1), dh-r, r-cran-chron, r-cran-lattice, r-cran-cluster, r-cran-survival, r-cran-rpart, r-cran-formula, r-cran-latticeextra, r-cran-nnet, r-cran-foreign, r-cran-acepack, r-cran-ggplot2 (>= 2.0.0), r-cran-gridextra, r-cran-data.table, r-cran-htmltools, r-cran-gtable, r-cran-viridis, r-cran-htmltable, r-cran-base64enc
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.1), dh-r, r-cran-chron, r-cran-lattice, r-cran-cluster, r-cran-survival, r-cran-rpart, r-cran-formula, r-cran-latticeextra, r-cran-nnet, r-cran-foreign, r-cran-acepack, r-cran-ggplot2 (>= 2.0.0), r-cran-gridextra, r-cran-data.table, r-cran-htmltools, r-cran-gtable, r-cran-viridis, r-cran-htmltable, r-cran-base64enc
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-hmisc
 Vcs-Git: https://salsa.debian.org/edd/r-cran-hmisc.git

## hmisc 5.1-2

=== debian/changelog ===
hmisc (5.1-2-1) unstable; urgency=medium

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 11 Mar 2024 17:29:18 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.1), dh-r, r-cran-chron, r-cran-lattice, r-cran-cluster, r-cran-survival, r-cran-rpart, r-cran-formula, r-cran-latticeextra, r-cran-nnet, r-cran-foreign, r-cran-acepack, r-cran-ggplot2 (>= 2.0.0), r-cran-gridextra, r-cran-data.table, r-cran-htmltools, r-cran-gtable, r-cran-viridis, r-cran-htmltable, r-cran-base64enc
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.3), dh-r, r-cran-chron, r-cran-lattice, r-cran-cluster, r-cran-survival, r-cran-rpart, r-cran-formula, r-cran-latticeextra, r-cran-nnet, r-cran-foreign, r-cran-acepack, r-cran-ggplot2 (>= 2.0.0), r-cran-gridextra, r-cran-data.table, r-cran-htmltools, r-cran-gtable, r-cran-viridis, r-cran-htmltable, r-cran-base64enc
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-hmisc
 Vcs-Git: https://salsa.debian.org/edd/r-cran-hmisc.git

## hmisc 5.1-3

=== debian/changelog ===
hmisc (5.1-3-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 28 May 2024 08:47:13 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.3), dh-r, r-cran-chron, r-cran-lattice, r-cran-cluster, r-cran-survival, r-cran-rpart, r-cran-formula, r-cran-latticeextra, r-cran-nnet, r-cran-foreign, r-cran-acepack, r-cran-ggplot2 (>= 2.0.0), r-cran-gridextra, r-cran-data.table, r-cran-htmltools, r-cran-gtable, r-cran-viridis, r-cran-htmltable, r-cran-base64enc
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.0), dh-r, r-cran-chron, r-cran-lattice, r-cran-cluster, r-cran-survival, r-cran-rpart, r-cran-formula, r-cran-latticeextra, r-cran-nnet, r-cran-foreign, r-cran-acepack, r-cran-ggplot2 (>= 2.0.0), r-cran-gridextra, r-cran-data.table, r-cran-htmltools, r-cran-gtable, r-cran-viridis, r-cran-htmltable, r-cran-base64enc
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-hmisc
 Vcs-Git: https://salsa.debian.org/edd/r-cran-hmisc.git
 Homepage: https://cran.r-project.org/package=Hmisc

## hmisc 5.2

=== DESCRIPTION ===
Package: Hmisc
Version: 5.2-4
Date: 2025-10-02
Title: Harrell Miscellaneous
Authors@R: 
    c(person(given   = "Frank E",
             family  = "Harrell Jr",
             role    = c("aut", "cre"),
             email   = "fh@fharrell.com",
             comment = c(ORCID = "0000-0002-8271-5493")),
      person(given   = "Cole",
             family  = "Beck",
             role    = c("ctb"),
             email   = "cole.beck@vumc.org" ),
			person(given   = "Charles",
			       family  = "Dupont",
						 role    = "ctb") )
Depends: R (>= 4.2.0)
Imports: methods, ggplot2, cluster, rpart, nnet, foreign, gtable, grid,
        gridExtra, data.table, htmlTable (>= 1.11.0), viridisLite,
        htmltools, base64enc, colorspace, rmarkdown, knitr, Formula
Suggests: survival, qreport, acepack, chron, rms, mice, rstudioapi,
        tables, plotly (>= 4.5.6), rlang, VGAM, leaps, pcaPP, digest,
        parallel, polspline, abind, kableExtra, rio, lattice,
        latticeExtra, gt, sparkline, jsonlite, htmlwidgets, qs,
        getPass, keyring, safer, htm2txt, boot
Description: Contains many functions useful for data
	analysis, high-level graphics, utility operations, functions for
	computing sample size and power, simulation, importing and annotating datasets,
	imputing missing values, advanced table making, variable clustering,
	character string manipulation, conversion of R objects to LaTeX and html code,
	recoding variables, caching, simplified parallel computing, encrypting and decrypting data using a safe workflow, general moving window statistical estimation, and assistance in interpreting principal component analysis.
License: GPL (>= 2)
LazyLoad: Yes
URL: https://hbiostat.org/R/Hmisc/
Encoding: UTF-8
RoxygenNote: 7.3.3
NeedsCompilation: yes
Packaged: 2025-10-03 20:24:42 UTC; harrelfe
Author: Frank E Harrell Jr [aut, cre] (ORCID:
    <https://orcid.org/0000-0002-8271-5493>),
  Cole Beck [ctb],
  Charles Dupont [ctb]
Maintainer: Frank E Harrell Jr <fh@fharrell.com>
Repository: CRAN
Date/Publication: 2025-10-05 06:50:02 UTC

## hmisc 5.2-0

=== debian/changelog ===
hmisc (5.2-0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 28 Oct 2024 06:32:03 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.0), dh-r, r-cran-chron, r-cran-lattice, r-cran-cluster, r-cran-survival, r-cran-rpart, r-cran-formula, r-cran-latticeextra, r-cran-nnet, r-cran-foreign, r-cran-acepack, r-cran-ggplot2 (>= 2.0.0), r-cran-gridextra, r-cran-data.table, r-cran-htmltools, r-cran-gtable, r-cran-viridis, r-cran-htmltable, r-cran-base64enc
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r, r-cran-chron, r-cran-lattice, r-cran-cluster, r-cran-survival, r-cran-rpart, r-cran-formula, r-cran-latticeextra, r-cran-nnet, r-cran-foreign, r-cran-acepack, r-cran-ggplot2 (>= 2.0.0), r-cran-gridextra, r-cran-data.table, r-cran-htmltools, r-cran-gtable, r-cran-viridis, r-cran-htmltable, r-cran-base64enc
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-hmisc
 Vcs-Git: https://salsa.debian.org/edd/r-cran-hmisc.git

## hmisc 5.2-1

=== debian/changelog ===
hmisc (5.2-1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 02 Dec 2024 08:05:35 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r, r-cran-chron, r-cran-lattice, r-cran-cluster, r-cran-survival, r-cran-rpart, r-cran-formula, r-cran-latticeextra, r-cran-nnet, r-cran-foreign, r-cran-acepack, r-cran-ggplot2 (>= 2.0.0), r-cran-gridextra, r-cran-data.table, r-cran-htmltools, r-cran-gtable, r-cran-viridis, r-cran-htmltable, r-cran-base64enc
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.2), dh-r, r-cran-chron, r-cran-lattice, r-cran-cluster, r-cran-survival, r-cran-rpart, r-cran-formula, r-cran-latticeextra, r-cran-nnet, r-cran-foreign, r-cran-acepack, r-cran-ggplot2 (>= 2.0.0), r-cran-gridextra, r-cran-data.table, r-cran-htmltools, r-cran-gtable, r-cran-viridis, r-cran-htmltable, r-cran-base64enc
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-hmisc
 Vcs-Git: https://salsa.debian.org/edd/r-cran-hmisc.git

## hmisc 5.2-2

=== debian/changelog ===
hmisc (5.2-2-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 10 Jan 2025 18:06:56 -0600

## hmisc 5.2-3

=== debian/changelog ===
hmisc (5.2-3-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 16 Mar 2025 11:57:21 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.2), dh-r, r-cran-chron, r-cran-lattice, r-cran-cluster, r-cran-survival, r-cran-rpart, r-cran-formula, r-cran-latticeextra, r-cran-nnet, r-cran-foreign, r-cran-acepack, r-cran-ggplot2 (>= 2.0.0), r-cran-gridextra, r-cran-data.table, r-cran-htmltools, r-cran-gtable, r-cran-viridis, r-cran-htmltable, r-cran-base64enc
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.3), dh-r, r-cran-chron, r-cran-lattice, r-cran-cluster, r-cran-survival, r-cran-rpart, r-cran-formula, r-cran-latticeextra, r-cran-nnet, r-cran-foreign, r-cran-acepack, r-cran-ggplot2 (>= 2.0.0), r-cran-gridextra, r-cran-data.table, r-cran-htmltools, r-cran-gtable, r-cran-viridis, r-cran-htmltable, r-cran-base64enc
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-hmisc
 Vcs-Git: https://salsa.debian.org/edd/r-cran-hmisc.git

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-hmisc package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## hmisc 5.2-4

=== debian/changelog ===
hmisc (5.2-4-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 05 Oct 2025 10:03:43 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.3), dh-r, r-cran-chron, r-cran-lattice, r-cran-cluster, r-cran-survival, r-cran-rpart, r-cran-formula, r-cran-latticeextra, r-cran-nnet, r-cran-foreign, r-cran-acepack, r-cran-ggplot2 (>= 2.0.0), r-cran-gridextra, r-cran-data.table, r-cran-htmltools, r-cran-gtable, r-cran-viridis, r-cran-htmltable, r-cran-base64enc
-Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.1), dh-r, r-cran-chron, r-cran-lattice, r-cran-cluster, r-cran-survival, r-cran-rpart, r-cran-formula, r-cran-latticeextra, r-cran-nnet, r-cran-foreign, r-cran-acepack, r-cran-ggplot2 (>= 2.0.0), r-cran-gridextra, r-cran-data.table, r-cran-htmltools, r-cran-gtable, r-cran-viridis, r-cran-htmltable, r-cran-base64enc
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-hmisc
 Vcs-Git: https://salsa.debian.org/edd/r-cran-hmisc.git
 Homepage: https://cran.r-project.org/package=Hmisc

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/Hmisc_([-\d\.]*)\.tar.gz

## hmisc 5.2-5

=== debian/changelog ===
hmisc (5.2-5-2) unstable; urgency=medium

  * debian/watch: Stick with version 4 for now

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 13 Jan 2026 05:50:08 -0600

hmisc (5.2-5-1) unstable; urgency=medium

  * New upstream release
  
  * debian/watch: Increase version to 5

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 09 Jan 2026 07:02:17 -0600

hmisc (5.2-4-2) unstable; urgency=medium

  * debian/control: Add (Build-)Depends on r-cran-colorspace (Closes: #1124165)
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 28 Dec 2025 13:06:31 -0600

=== debian/control ===
Source: hmisc
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.2), dh-r, r-cran-chron, r-cran-lattice, r-cran-cluster, r-cran-survival, r-cran-rpart, r-cran-formula, r-cran-latticeextra, r-cran-nnet, r-cran-foreign, r-cran-acepack, r-cran-ggplot2 (>= 2.0.0), r-cran-gridextra, r-cran-data.table, r-cran-htmltools, r-cran-gtable, r-cran-viridis, r-cran-htmltable, r-cran-base64enc, r-cran-colorspace
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/edd/r-cran-hmisc
Vcs-Git: https://salsa.debian.org/edd/r-cran-hmisc.git
Homepage: https://cran.r-project.org/package=Hmisc

Package: r-cran-hmisc
Architecture: any
Replaces: r-noncran-hmisc
Conflicts: r-noncran-hmisc
Provides: r-noncran-hmisc
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-chron, r-cran-lattice, r-cran-cluster, r-cran-survival, r-cran-formula, r-cran-rpart, r-cran-latticeextra, r-cran-nnet, r-cran-foreign, r-cran-acepack, r-cran-ggplot2, r-cran-gridextra, r-cran-data.table, r-cran-htmltools, r-cran-gtable, r-cran-viridis, r-cran-htmltable, r-cran-base64enc, r-cran-colorspace
Description: GNU R miscellaneous functions by Frank Harrell 
 The Hmisc library contains many functions useful for data
 analysis, high-level graphics, utility operations, functions for
 computing sample size and power, translating SAS datasets,
 imputing missing values, advanced table making, variable clustering,
 character string manipulation, conversion of S objects to LaTeX code,
 recoding variables, and bootstrap repeated measures analysis.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/Hmisc_([-\d\.]*)\.tar\.gz
